/* Contacts Table */

#contacts {

}

#contactsTitle {

}

#contactsSearch {
    width: 100%;
    margin-bottom: 10px;
}

#contactsTable {

}

.contactsTableRow {

}

.contactsTableRow.hidden {
    display: none;
}

.contactsTableRowEdit {

}

.contactsTableRowDelete {
    background-color: darkred;
}

/* Commissions */

#commissions {

}

#commissionsTitle {

}

#commissionsList {
    display: grid;
    row-gap: 30px;
}

.commissionsListEmpty {
    color: #666;
}

.commissionsListGroup {
    border: 2px solid var(--light-orange);
    border-radius: 6px;
    padding: 15px;
}

.commissionsListGroupHeader {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 10px;
}

.commissionsListGroupHeaderName {
    font-weight: 700;
    font-size: 18px;
}

.commissionsListGroupHeaderTotal {
    font-weight: 700;
    font-size: 18px;
    margin-left: auto;
}

.commissionsListGroupHeaderMarkPaid {
    width: auto;
}

.commissionsListGroupTable {

}

.commissionsListGroupTableRow {

}

.commissionsListGroupTableRowAmount {
    max-width: 100px;
}

/* New */

#new {

}

#newTitle {

}

#newContactForm {
    display: grid;
    grid-template-columns: auto 1fr;
    row-gap: 10px;
    column-gap: 10px;
    align-items: center;
    max-width: 700px;
}

#newContactFormFirstName {

}

#newContactFormLastName {

}

#newContactFormEmail {

}

#newContactFormPhone {

}

#newContactFormCompany {

}

#newContactFormTitle {

}

#newContactFormBankAccountNumber {

}

#newContactFormBankRoutingNumber {

}

#newContactFormNote {

}

#newContactFormSave {
    grid-column: span 2;
}

/* Edit Modal */

#edit {
    padding: 10px;
}

#editContent {
    background-color: white;
    padding: 20px;
    margin: auto;
    max-width: 600px;
    width: 100%;
    border-radius: 6px;
    border: 4px solid var(--light-orange);
}

#editTitle {

}

#editContactForm {
    display: grid;
    grid-template-columns: auto 1fr;
    row-gap: 10px;
    column-gap: 10px;
    align-items: center;
    margin-bottom: 10px;
}

#editContactFormID {

}

#editContactFormFirstName {

}

#editContactFormLastName {

}

#editContactFormEmail {

}

#editContactFormPhone {

}

#editContactFormCompany {

}

#editContactFormTitle {

}

#editContactFormBankAccountNumber {

}

#editContactFormBankRoutingNumber {

}

#editContactFormNote {

}

#editContactFormSave {
    grid-column: span 2;
}

#editClose {
    text-decoration: underline;
}
